Bug Hunting Session
Bug 36851 - Data Validator Input Help Random Visibility Issue
Summary: Data Validator Input Help Random Visibility Issue
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: All Windows (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.5
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-04 11:02 UTC by Scott M. Sanders
Modified: 2012-01-05 19:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Input Help Gets Cropped (83.50 KB, application/x-msexcel)
2011-05-04 11:02 UTC, Scott M. Sanders
Details
demonstrates the problem (34.52 KB, image/png)
2011-05-06 03:04 UTC, Noel Power
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scott M. Sanders 2011-05-04 11:02:37 UTC
Created attachment 46330 [details]
Input Help Gets Cropped 

At some random but often times, when you select a cell with a data validator, some invisible box seems to instantly crop the top left visibility of that cell's input help box, such that the most important part of the input help -- the first part -- is no longer there, until the cell is selected again or a screen refresh occurs. 

It happens in OpenOffice too but not Excel. 

Attached is an example file where any given input help does this.
Comment 1 Noel Power 2011-05-06 03:04:42 UTC
Created attachment 46392 [details]
demonstrates the problem

pretty much happens all the time for me, some paint problem, no idea what the box that overlaps the comment is

cc'ing kohei, any ideas?
Comment 2 Björn Michaelsen 2011-12-23 12:04:10 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 Scott M. Sanders 2011-12-30 06:31:46 UTC
It is actually a lot worse in 3.5.0beta2.

Now the input help does not persist at all on clicking a cell with such -- you can see part or sometimes all of the yellow input help box flicker on click, then it just disappears, making it useless.
Comment 4 Kohei Yoshida 2012-01-04 21:55:59 UTC
I'm taking this.
Comment 5 Kohei Yoshida 2012-01-05 19:25:26 UTC
Hopefully fixed this.  I see no more flickers, and the popup persists just fine.

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=a6dc4b7a1e2fcbe478bc7feae06bc9ff24b26aaf

The fix will be in 3.5 beta3.